Bug 592108 - error starting NM-created connection
Summary: error starting NM-created connection
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: initscripts Maintenance Team
QA Contact: Yulia Kopkova
URL:
Whiteboard:
Keywords: Reopened
Depends On: 589521
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 21:08 UTC by Bill Nottingham
Modified: 2014-03-17 03:23 UTC (History)
3 users (show)

Fixed In Version: initscripts-9.03.8-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 589521
Environment:
Last Closed: 2010-07-02 19:11:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2010-05-13 21:08:40 UTC
+++ This bug was initially created as a clone of Bug #589521 +++

Description of problem:

Bringing up loopback interface:                            [  OK  ]
Bringing up interface Auto_kiilerich:  
Determining IP information for ... done.
cat: /sys/class/net//ifindex: No such file or directory
/etc/sysconfig/network-scripts/ifup-eth: line 286: 1000 + : syntax error: operand expected (error token is "+ ")
Missing config file ifcfg-ifcfg-Auto_kiilerich.
                                                           [  OK  ]


Same setup and config as in bug 545597 where REALDEVICE also isn't set:

# head /etc/sysconfig/network-scripts/{ifcfg,keys}-*
==> /etc/sysconfig/network-scripts/ifcfg-Auto_kiilerich <==
ESSID="kiilerich"
MODE=Managed
KEY_MGMT=WPA-PSK
TYPE=Wireless
BOOTPROTO=dhcp
PEERDNS=yes
PEERROUTES=yes
NAME="Auto kiilerich"
UUID=1b6ba851-d2a0-402d-92ee-3bf4e0e45592
ONBOOT=yes

==> /etc/sysconfig/network-scripts/ifcfg-lo <==
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback

==> /etc/sysconfig/network-scripts/keys-Auto_kiilerich <==
WPA_PSK="zecret"

==> /etc/sysconfig/network-scripts/keys-eth1 <==
KEY=s:1123581321

==> /etc/sysconfig/network-scripts/keys-Wireless_connection_1 <==
WPA_PSK=alsosecret!


The missing ifcfg-ifcfg-Auto_kiilerich seems like an error too ... or perhaps the same ...


Version-Release number of selected component (if applicable):

initscripts-9.11-1.fc13.i686

Comment 1 Bill Nottingham 2010-05-13 21:20:18 UTC
Whoops, cloned wrong bug.

Comment 2 Bill Nottingham 2010-05-13 21:27:04 UTC
Although, found a fix for this too.

Comment 4 RHEL Product and Program Management 2010-05-13 21:40:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 7 releng-rhel@redhat.com 2010-07-02 19:11:38 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.